# resumeAssessmentAssignment

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/assessments/assignments/{id}/resume |

| Field | Value |
|---|---|
| operationId | resumeAssessmentAssignment |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /assessments/assignments/{id}/resume |
| tags | `Assignments` |
| summary | Resume an assigned assessment (assignee only) |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Fresh access token minted for the assignee | #/components/schemas/ResumeAssignmentResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |
| 403 | Caller is not the assignee of this assignment | #/components/schemas/ApiErrorResponseDto |
| 404 | Assignment not found | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Caller is not the assignee of this assignment",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Assignment not found",
  "error": "ASSESSMENT_ASSIGNMENT_NOT_FOUND"
}
```
